Server
/api/v1/
https://covid-qa.adara.com/api/v1/
https://covid-prod.adara.com/api/v1/
https://virtserver.swaggerhub.com/adara/covid-service/1.0.0

SwaggerHub API Auto Mocking

Server Variables

get news articles

Auth
Query String
user_codestring
trip_idstring
GET /news
curl --get \
--url '/api/v1//news' \
--data user_code={user_code} \
--data trip_id={trip_id}
Copy
Responses
200

User news

objectobject
activeboolean
response5 fieldsarray[object]
Response
{
"active": "{boolean}",
"response": [
{
"title": "{string}",
"link": "{string}",
"published": "{string}",
"description": "{string}",
"source": "{string}"
}
]
}
Copy

get user score

Auth
Query String
user_codestring
trip_idstring
GET /scores
curl --get \
--url '/api/v1//scores' \
--data user_code={user_code} \
--data trip_id={trip_id}
Copy
Responses
200

User score available

objectobject
activeboolean
response5 fieldsobject
425

User score not available yet

Response
{
"active": "{boolean}",
"response": {
"raw_score": "{number}",
"score": "{number}",
"display_score": "{string}",
"description": "{string}",
"percentile": "{number}"
}
}
Copy

get list of locations

Auth
Query String
location_typestring

Enum: airport,city

sstring
GET /locations
curl --get \
--url '/api/v1//locations' \
--data location_type={location_type} \
--data s={s}
Copy
Responses
200

List of locations

objectobject
activeboolean
response6 fieldsarray[object]
Response
{
"active": "{boolean}",
"response": [
{
"id": "{string}",
"name": "{string}",
"state": "{string}",
"city": "{string}",
"county": "{string}",
"country": "{string}"
}
]
}
Copy

add user

Auth
Request Body
objectobject
emailstring

pattern: ^([\D-]+(\w)*)+((\.(\w)+)?)+@(\D)+(\w)*((\.(\D)+(\w)*)+)?(\.)[a-z]{2,}$

POST /signup
curl --request POST \
--url '/api/v1//signup' \
--data '{
"email": "{string}"
}'
Copy
Responses
204

User Signed up

No response body
400

Bad Request

Response
No response
Copy

add user

Auth
Request Body
objectobject
emailstring

pattern: ^([\D-]+(\w)*)+((\.(\w)+)?)+@(\D)+(\w)*((\.(\D)+(\w)*)+)?(\.)[a-z]{2,}$

passcodestring
POST /validate
curl --request POST \
--url '/api/v1//validate' \
--data '{
"email": "{string}",
"passcode": "{string}"
}'
Copy
Responses
200

User Signed up

objectobject
activeboolean
responseobject
user_codestring
403

Bad Request

Response
{
"active": "{boolean}",
"response": {
"user_code": "{string}"
}
}
Copy

support user optout

Auth
Request Body
objectobject
emailstring

pattern: ^([\D-]+(\w)*)+((\.(\w)+)?)+@(\D)+(\w)*((\.(\D)+(\w)*)+)?(\.)[a-z]{2,}$

POST /optout
curl --request POST \
--url '/api/v1//optout' \
--data '{
"email": "{string}"
}'
Copy
Responses
204

User opted out

No response body
Response
No response
Copy

get user trips

Auth
Query String
user_codestring
trip_idstring
GET /trips
curl --get \
--url '/api/v1//trips' \
--data user_code={user_code} \
--data trip_id={trip_id}
Copy
Responses
200

user trips

objectobject
activeboolean
response8 fieldsarray[object]
Response
{
"active": "{boolean}",
"response": [
{
"start": "{string}",
"end": "{string}",
"rideshare": "{boolean}",
"purpose": "{string}",
"airports": [
{
"city": "{string}",
"county": "{string}",
"state": "{string}",
"country": "{string}",
"code": "{string}",
"name": "{string}"
}
],
"prospective": "{boolean}",
"home": {
"city": "{string}",
"county": "{string}",
"state": "{string}",
"country": "{string}",
"id": "{string}"
},
"cities": [
{
"city": "{string}",
"county": "{string}",
"state": "{string}",
"country": "{string}",
"id": "{string}"
}
]
}
]
}
Copy

send trip list and get user scores

Auth
Request Body
objectobject
user_codestring
trips8 fieldsarray[object]
POST /trips
curl --request POST \
--url '/api/v1//trips' \
--data '{
"user_code": "{string}",
"trips": [
{
"start": "{string}",
"end": "{string}",
"rideshare": "{boolean}",
"purpose": "{string}",
"airports": [
{
"city": "{string}",
"county": "{string}",
"state": "{string}",
"country": "{string}",
"code": "{string}",
"name": "{string}"
}
],
"prospective": "{boolean}",
"home": {
"city": "{string}",
"county": "{string}",
"state": "{string}",
"country": "{string}",
"id": "{string}"
},
"cities": [
{
"city": "{string}",
"county": "{string}",
"state": "{string}",
"country": "{string}",
"id": "{string}"
}
]
}
]
}'
Copy
Responses
200

Trips added to profile

objectobject
activeboolean
responsearray
Response
{
"active": "{boolean}",
"response": [
{
"start": "{string}",
"end": "{string}",
"rideshare": "{boolean}",
"purpose": "{string}",
"airports": [
{
"city": "{string}",
"county": "{string}",
"state": "{string}",
"country": "{string}",
"code": "{string}",
"name": "{string}"
}
],
"prospective": "{boolean}",
"home": {
"city": "{string}",
"county": "{string}",
"state": "{string}",
"country": "{string}",
"id": "{string}"
},
"cities": [
{
"city": "{string}",
"county": "{string}",
"state": "{string}",
"country": "{string}",
"id": "{string}"
}
],
"id": "{string}"
}
]
}
Copy